#!/usr/bin/env node

'use strict';

var argv = require('minimist')(process.argv.slice(2));
var tmpdisk = require('./index');

tmpdisk.basePath = (process.platform === 'win32') ? process.env.HOMEPATH : process.env.HOME;
tmpdisk.port = 8088;

if (argv.l) {
  if (argv.l === true) {
    console.log('gonna need a path...');
    process.exit(1);
  }

  if (path.isAbsolute(argv.l)) {
    tmpdisk.basePath = argv.l;
  } else {
    tmpdisk.basePath = path.join(process.cwd(), argv.l);
  }
}

if (argv.limit) {
  if (argv.limit === true) {
    console.log('gonna need a path...');
    process.exit(1);
  }

  if (path.isAbsolute(argv.limit)) {
    tmpdisk.basePath = argv.limit;
  } else {
    tmpdisk.basePath = path.join(process.cwd(), argv.limit);
  }
}

if (argv.p) {
  if (argv.p === true) {
    console.log('gonna need a port...');
    process.exit(1);
  }

  tmpdisk.port = argv.p;
}

if (argv.port) {
  if (argv.port === true) {
    console.log('gonna need a port...');
    process.exit(1);
  }

  tmpdisk.port = argv.port;
}

tmpdisk.serve(function() {
  console.log('listening on port ' + tmpdisk.port + '...');
});
